Frage von askandanswer23, 69

Verstehe diese Java Fehlermeldung?

"Access restriction: The type 'JFrame' is not API (restriction on required library 'C:\Program Files (x86)\Java\jre1.8.0_73\lib\rt.jar')"

Steht dran und verstehe nicht was ich falsch gemacht hab.

Hilfreichste Antwort - ausgezeichnet vom Fragesteller
von Gomze, 35

Deine jdk hat ne Beschränkung

Kommentar von askandanswer23 ,

Hab ich mir schon gedacht...kannst du mir evtl eine Gute empfehlen, nutzte zur Zeit eclipse

Kommentar von Gomze ,

Nehm einfach die neuste

Kommentar von Gomze ,

ansonsten ist jdk8 update 86 gut

Antwort
von Tschoo, 26

Hallo!

Wann kommt diese Fehlermeldeung?

Beim compilieren?

Du greifst auf das jre (Java Runtime >Environment) und nicht auf das jdk (java develop kit oder so ähnlich) zu.

Wenn es beim Ausführen der jar-Datei passiert, fehlt die Leseberechtigung ( auf die angegebene Datei) für "normale" Benutzer.

Gruß

Kommentar von askandanswer23 ,

Ja beim Compilieren

Kommentar von Tschoo ,

Dann so, wie ich es schon gesagt habe.

Verwende das jdk und nicht das jre -->

'C:\Program Files (x86)\Java\jdk1.8.0_73\lib\rt.jar'

Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten